Cooking up the Treats > Help Wanted-Developers

Pakaging Day

(1/1)

rbistolfi:
Hi guys,

I would like to propose to setup a "Packaging Day" for getting some security fixes into 6.0 and 7.0 versions. We would set a date (s Saturday probably) for a meeting at the #vectorlinux IRC channel at freenode and organize the work from there. Would be a nice chance for a bit of talk, for knowing each other, perhaps learning something new and do something good for our VL and it's users.
I invite the developers, packagers, our power users and everyone who would like to get a bit more involved.

What do you think?

stretchedthin:
I like the idea.  Would be nice to have a focused forum on subjects like packaging, attracting new packagers, and migration of packages from sources such as abs, and slackbuilds.org.

One of the first subjects I would like to ask the group to consider, would be the formation of an abs (arch build system) migration project. The goal of which would be to move as much as possible from the arch build system to our own vectorlinux repositories. 

hata_ph:
A nice idea for patching security update. But for migrating apps from abs to VL, do we have enough man power to package, test and maintain the so much apps?

stretchedthin:

--- Quote from: hata_ph on April 23, 2011, 04:30:56 pm ---A nice idea for patching security update. But for migrating apps from abs to VL, do we have enough man power to package, test and maintain the so much apps?

--- End quote ---

Security fixes are the priority, you are right.

 I'll try and get an abs migration project going on a different thread.  With a little instruction it may not require our most experienced users, and there just may be enough folks interested in learning an easier way to package within our community to get it started.
By moving packages into gslapt I see it benefiting the casual user, who does not want to chase down dependencies when they simply want to add a new program.

Also the abs is a dynamic system that may move forward fast enough that it will increasingly require things like gtk3.0, gnome3.0, and other dependencies that are significantly beyond the reach of the VL7.0 base.

 

pierce.jason:
Should definitely archive a copy of the abs tree around or just prior to our FINAL. This will ensure that all PKGBUILDs currently there will be avail in versions that matches our libs.

Navigation

[0] Message Index

Go to full version